automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: FYI: pr 287


From: Tom Tromey
Subject: Patch: FYI: pr 287
Date: 13 Jan 2002 13:48:00 -0700

I'm checking this in.

This fixes PR 287.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>

        For PR automake/287:
        * lib/am/distdir.am (distdir): Use `$$list' trick when looping
        over subdirs.
        * tests/Makefile.am (TESTS): Added pr287.test.
        * tests/pr287.test: New file.

Index: lib/am/distdir.am
===================================================================
RCS file: /cvs/automake/automake/lib/am/distdir.am,v
retrieving revision 1.30
diff -u -r1.30 distdir.am
--- lib/am/distdir.am 2002/01/13 19:49:21 1.30
+++ lib/am/distdir.am 2002/01/13 20:32:20
@@ -111,7 +111,7 @@
 ## us work correctly with an enclosing package.
 ##
 if %?SUBDIRS%
-       for subdir in $(%DIST_SUBDIR_NAME%); do \
+       list='$(%DIST_SUBDIR_NAME%)'; for subdir in $$list; do \
          if test "$$subdir" = .; then :; else \
            test -d $(distdir)/$$subdir \
            || mkdir $(distdir)/$$subdir \
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.370
diff -u -r1.370 Makefile.am
--- tests/Makefile.am 2002/01/13 19:49:22 1.370
+++ tests/Makefile.am 2002/01/13 20:32:20
@@ -253,6 +253,7 @@
 pr266.test \
 pr279.test \
 pr279-2.test \
+pr287.test \
 pr9.test \
 pr72.test \
 pr87.test \
Index: tests/pr287.test
===================================================================
RCS file: pr287.test
diff -N pr287.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/pr287.test Sun Jan 13 12:32:20 2002
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Test for PR 287: empty SUBDIRS.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(foo, 0.1, address@hidden)
+AM_INIT_AUTOMAKE
+AC_PROG_CC
+AC_CONFIG_FILES(Makefile)
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS =
+bin_SCRIPTS = foo
+END
+
+cat > foo << 'END'
+#! /bin/sh
+echo Maude
+END
+
+chmod +x foo
+
+set -e
+
+mkdir install
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+./configure --prefix=`cd install && pwd`
+make
+make distdir



reply via email to

[Prev in Thread] Current Thread [Next in Thread]